<?php
/***** Active Plugin ********/
require_once( get_template_directory().'/lib/class-tgm-plugin-activation.php' );

add_action( 'tgmpa_register', 'flashmart_register_required_plugins' );
function flashmart_register_required_plugins() {
    $plugins = array(
		array(
            'name'               => esc_html__( 'WooCommerce', 'flashmart' ), 
            'slug'               => 'woocommerce', 
            'required'           => true, 
			'version'			 => '8.0.2'
        ),

        array(
            'name'               => esc_html__( 'Revslider', 'flashmart' ), 
            'slug'               => 'revslider', 
            'source'             => esc_url('https://demo.wpthemego.com/modules/revslider.zip'),   
            'required'           => true,
            'version'            => '6.6.15'
        ),
		
		array(
            'name'               => esc_html__( 'Elementor', 'flashmart' ), 
            'slug'               => 'elementor',
            'required'           => true,
        ),

        array(
            'name'               => esc_html__( 'Elementor Pro', 'flashmart' ), 
            'slug'               => 'elementor-pro', 
            'source'             => esc_url('https://demo.wpthemego.com/modules/elementor-pro.zip'),  
            'required'           => true, 
            'version'            => '3.15.1'
        ),  
		
		 array(
            'name'               => esc_html__( 'Sw Woocatalog', 'flashmart' ), 
            'slug'               => 'sw-woocatalog', 
            'source'             => esc_url('https://demo.wpthemego.com/modules/sw-woocatalog.zip' ),  
            'required'           => true, 
            'version'            => '1.0.5'
        ),

       	array(
            'name'     			 => esc_html__( 'SW Core', 'flashmart' ),
            'slug'      		 => 'sw_core',
			'source'         	 => esc_url( get_template_directory_uri() . '/lib/plugins/sw_core.zip' ), 
            'required'  		 => true,   
			'version'			 => '1.7.16'
		),
 	
		array(
            'name'     			 => esc_html__( 'SW WooCommerce', 'flashmart' ),
            'slug'      		 => 'sw_woocommerce',
			'source'         	 => esc_url( get_template_directory_uri() . '/lib/plugins/sw_woocommerce.zip' ), 
            'required'  		 => true,
			'version'			 => '1.8.6'
        ),
		
		array(
            'name'     			 => esc_html__( 'SW Ajax Woocommerce Search', 'flashmart' ),
            'slug'      		 => 'sw_ajax_woocommerce_search',
			'source'         	 => esc_url( get_template_directory_uri() . '/lib/plugins/sw_ajax_woocommerce_search.zip' ), 
            'required'  		 => true,
			'version'			 => '1.3.1'
        ),
		
		array(
            'name'     			 => esc_html__( 'Sw Woocommerce Swatches', 'flashmart' ),
            'slug'      		 => 'sw_wooswatches',
			'source'         	 => esc_url( get_template_directory_uri() . '/lib/plugins/sw_wooswatches.zip' ), 
            'required'  		 => true,
			'version'			 => '1.0.19'
        ),

        array(
            'name'               => esc_html__( 'Sw Product Bundles', 'flashmart' ),
            'slug'               => 'sw-product-bundles',
            'source'             => esc_url( get_template_directory_uri() . '/lib/plugins/sw-product-bundles.zip' ), 
            'required'           => true,
            'version'            => '2.2.3'
        ),

        array(
            'name'               => esc_html__( 'Sw Vendor Slider', 'flashmart' ),
            'slug'               => 'sw_vendor_slider',
            'source'             => esc_url( get_template_directory_uri() . '/lib/plugins/sw_vendor_slider.zip' ), 
            'required'           => true,
            'version'            => '1.1.4'
        ),

        array(
            'name'               => esc_html__( 'Sw Product Brand', 'flashmart' ),
            'slug'               => 'sw_product_brand',
            'source'             => esc_url( get_template_directory_uri() . '/lib/plugins/sw_product_brand.zip' ), 
            'required'           => true,
            'version'            => '1.0.10'
        ),

        array(
            'name'               => esc_html__( 'Sw Tools Plugin', 'flashmart' ),
            'slug'               => 'sw-tools-plugin',
            'source'             => esc_url( get_template_directory_uri() . '/lib/plugins/sw-tools-plugin.zip' ), 
            'required'           => true,
            'version'            => '1.0.2'
        ),

        array(
            'name'               => esc_html__( 'SW List Store', 'flashmart' ),
            'slug'               => 'sw_liststore',
            'source'             => esc_url( get_template_directory_uri() . '/lib/plugins/sw_liststore.zip' ), 
            'required'           => true,
            'version'            => '1.0.1'
        ),

		array(
            'name'               => esc_html__( 'One Click Install', 'flashmart' ), 
            'slug'               => 'one-click-demo-import', 
            'source'             => esc_url('https://demo.wpthemego.com/modules/one-click-demo-import.zip' ), 
            'required'           => true,
            'version'            => '9.9.10'
        ),

		array(
            'name'      		 => esc_html__( 'MailChimp for WordPress Lite', 'flashmart' ),
            'slug'     			 => 'mailchimp-for-wp',
            'required' 			 => false,
        ),
		array(
            'name'      		 => esc_html__( 'Contact Form 7', 'flashmart' ),
            'slug'     			 => 'contact-form-7',
            'required' 			 => false,
        ),
		array(
            'name'     			 => esc_html__( 'YITH Woocommerce Wishlist', 'flashmart' ),
            'slug'      		 => 'yith-woocommerce-wishlist',
            'required' 			 => false,
        ),
        array(
            'name'               => esc_html__( 'Smash Balloon Instagram Feed', 'flashmart' ),
            'slug'               => 'instagram-feed',
            'required'           => false,
        ),

    );		
    $config = array();

    tgmpa( $plugins, $config );

}
add_action( 'vc_before_init', 'flashmart_vcSetAsTheme' );
function flashmart_vcSetAsTheme() {
    vc_set_as_theme();
}